Subject: Re: [Netconf] LC on netconf-event-notifications-08

From: "t.petch" <[email-masked]>
Date: Tue, 15 May 2018 17:04:32 +0100

Eric

Looking at the YANG module in -09, I cannot see
CODE BEGINS
nor a file statement.  I cannot recall a recent YANG module omitting
these.

And in Security Considerations, it says
"   This draft does not define a YANG module and therefore doesn't have
   any YANG-related Security Considerations."

Mmmmm:-)

Tom Petch

----- Original Message -----
From: "Eric Voit (evoit)" <[email-masked]>
To: "Qin Wu" <[email-masked]>; "Kent Watsen" <[email-masked]>;
<[email-masked]>
Sent: Monday, March 19, 2018 6:15 PM

> Hi Qin,
>
> > From: Qin Wu, Saturday, March 17, 2018 2:24 AM
> >
> > -----邮件原件-----
> > 发件人: Eric Voit (evoit) [mailto:[email-masked]]
> > 发送时间: 2018年3月17日 6:28
> > 收件人: Qin Wu <[email-masked]>; Kent Watsen
> > <[email-masked]>; [email-masked]
> > 主题: RE: [Netconf] LC on netconf-event-notifications-08
> >
> > Hi Qin,
> >
> > Thanks for the comments.  Thoughts in-line...
> >
> > > Qin Wu, March 16, 2018 3:25 PM
> > >
> > > One followup comment.
> > > Section 4, 1st paragraph said:
> > > "
> > > A publisher is allowed to concurrently support both
> > >    [I-D.draft-ietf-netconf-subscribed-notifications] and
[RFC5277]'s
> > >    "create-subscription" RPC,
> > > "
> > > There is no "create-subscription" RPC in
> > > [I-D.draft-ietf-netconf-subscribed-
> > > notifications]? Is "create-subscription" RPC  referred to as
> > > “establish- subscription” defined in in
[I-D.draft-ietf-netconf-subscribed-
> > notifications]?
> >
> > No.  The create-subscription RPC is actually in RFC-5277.    The
subscribed-
> > notifications draft provides establish-subscription as an evolved
version of
> > that older RPC.    Nevertheless, a publisher might wish to support
both the
> > older and the newer specifications
> >
> > [Qin]: Would it be great to make this clear in the text. Thanks.
>
> I tweaked the text, and the full section now reads...:
>
> 4.  Compatibility with RFC-5277's create-subscription
>
>    A publisher is allowed to concurrently support configured
>    subscriptions and dynamic subscription RPCs of
>    [I-D.draft-ietf-netconf-subscribed-notifications] at the same time
as
>    [RFC5277]'s "create-subscription" RPC.  However a single NETCONF
>    transport session MUST NOT support both this specification and a
>    subscription established by [RFC5277]'s "create-subscription" RPC.
>    To protect against any attempts to use a single NETCONF transport
>    session in this way:
>
>    o  A solution must reply with the [RFC6241] error "operation-not-
>       supported" if a "create-subscription" RPC is received on a
NETCONF
>       session where any other
>       [I-D.draft-ietf-netconf-subscribed-notifications] or [RFC5277]
>       subscription exists.
>    o  It is a prohibited to send updates or state change notifications
>       for a configured subscription on a NETCONF session where the
>       create-subscription RPC has successfully [RFC5277] created
>       subscription.
>    o  A "create-subscription" RPC MUST be rejected if any
>       [I-D.draft-ietf-netconf-subscribed-notifications] or
>       [RFC5277]subscription is active across that NETCONF transport
>       session.
>
> Does this cover your concern?
>
> Thanks,
> Eric
>
>
> > > How is “establish-subscription” Compatibility with RFC-5277's
create-
> > > subscription? “establish-subscription”  and
“create-subscription” can
> > > not be used in the same NETCONF session?
> >
> > Correct.  They cannot be used in the same session.
> >
> >
> > > Section 6.2 configured subscription
> > > Why draft-ietf-netconf-netconf-event-notifications-08
> > > Is a separate draft instead of part of
> > > draft-ietf-netconf-subscribed-notifications-
> > > 10 since the state machine for a configured subscription is mainly
> > > defined in draft-ietf-netconf-subscribed-notifications-10?
> >
> > The subscribed-notifications draft is transport independent.
netconf-
> > event-notifications provides details on how allow subscriptions over
> > NETCONF.  Another draft not currently in last call
(draft-ietf-netconf-
> > restconf-notif) describes how to allow subscriptions over RESTCONF
or
> > HTTTP.    Other transport binding drafts exist for UDP.  Some are
being
> > written up for CBOR.
> >
> >
> > To get an idea of the interplay between many of the different
drafts, read:
> > draft-voit-netconf-subscription-and-notif-overview
> >
> > [Qin]: Good, thanks for your clarification.
> >
> > Eric
> >
> > > -Qin
> > > -----邮件原件-----
> > > 发件人: Netconf [mailto:[email-masked]] 代表 Qin Wu
> > > 发送时间: 2018年3月7日 9:47
> > > 收件人: Kent Watsen <[email-masked]>; [email-masked]
> > > 主题: Re: [Netconf] LC on netconf-event-notifications-08
> > >
> > > Support for LC.
> > >
> > > -Qin
> > > > -----Original Message-----
> > > > From: Netconf [mailto:[email-masked]] On Behalf Of
Kent
> > > > Watsen
> > > > Sent: Wednesday, February 28, 2018 6:11 PM
> > > > To: [email-masked]
> > > > Subject: [Netconf] LC on netconf-event-notifications-08
> > > >
> > > > WG,
> > > >
> > > > The authors of netconf-event-notifications have indicated
privately
> > > > that they believe this document is now ready for Last Call.
> > > >
> > > > This starts a 2.5-week Last Call on
> > > > draft-ietf-netconf-netconf-event-
> > > > notifications-08 [1] The LC will end on March 17, or when active
> > > > threads peter out.
> > > >
> > > > Please send your comments on this thread. Reviews of the
document,
> > > > and statement of support, are particularly helpful to the
authors.
> > > > If you have concerns about the document, please state those too.
> > > >
> > > > Authors please indicate if you are aware of any IPR on the
document.
> > > > [1]
https://tools.ietf.org/html/draft-ietf-netconf-netconf-event-notific
> > > > at
> > > > ions-08
> > > >
> > > >
> > > > Kent & Mahesh
> > > >
> > > >
> > > >
> > > >
> > > > _______________________________________________
> > > > Netconf mailing list
> > > > [email-masked]
> > > > https://www.ietf.org/mailman/listinfo/netconf
> > >
> > > _______________________________________________
> > > Netconf mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/netconf
> > >
> > > _______________________________________________
> > > Netconf mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/netconf
> > > _______________________________________________
> > > Netconf mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/netconf
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: "Eric Voit (evoit)" <[email-masked]>
Date: Tue, 15 May 2018 16:46:12 +0000

Hi Tom,

YANG model is brand new with this draft based on a request from Martin.  Looks like a few tweaks were needed :-).   

You can see the changes you just requested (and as listed below) at:
https://github.com/netconf-wg/notif-netconf/blob/master/draft-ietf-netconf-netconf-event-notifications-10.txt 

> From: t.petch, May 15, 2018 12:05 PM
> 
> Eric
> 
> Looking at the YANG module in -09, I cannot see CODE BEGINS nor a file
> statement.  I cannot recall a recent YANG module omitting these.

Nor should they be.

>    any YANG-related Security Considerations."

Now says:
This draft has a YANG module which consists of a single identity.  As a result additional security concerns beyond those of the imported modules are not introduced.

Eric

> > > > Section 6.2 configured subscription Why
> > > > draft-ietf-netconf-netconf-event-notifications-08